/accounts/{accountId}/rooms
http://service.chime.aws.amazon.com/accounts/{accountId}/roomsLists the room details for the specified Amazon Chime Enterprise account. Optionally, filter the results by a member ID (user ID or bot ID) to see a list of rooms that the member belongs to.
Path Parameters
The Amazon Chime account ID.
Query Params
The member ID (user ID or bot ID).
The maximum number of results to return in a single call.
The token to use to retrieve the next page of results.
Pagination limit
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://service.chime.aws.amazon.com/accounts/{accountId}/rooms' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}